static void Main(string[] args)
{
    string unos = Console.ReadLine();
    string unos2 = Console.ReadLine();
    string[] delovi2 = unos2.Split(' ');
    string[] delovi = unos.Split(' ');
    int n = int.Parse(delovi[0]);
    int k = int.Parse(delovi[1]);
    int[] d = new int[k];
    for(int i = 0; i<k; i++)
    {
     d[i] = int.Parse(delovi2[i]);
    }


for(int i = 0; i<d.Length; i++)
{
    int brojac = 0;
    int xor = 0;
    for (int j = 0; j < d.Length; j++)
    {
        if (d[i] % d[j] == 0)
        {
            brojac++;
            xor = xor^ d[j];
            
        }
        
    }
    
    Console.WriteLine(xor); 
}
}